From 89e386d115393de3d72ac3732ece486736e0bea5 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Oct 04 2020 04:07:48 +0000
Subject: [PATCH 958/2232] Atom cannot be in required_trivial_aliases


---

diff --git a/gen/src/write.rs b/gen/src/write.rs
index e0b1b30..e9e2239 100644
--- a/gen/src/write.rs
+++ b/gen/src/write.rs
@@ -129,18 +129,18 @@ pub(super) fn gen(
 fn write_includes(out: &mut OutFile, types: &Types) {
     for ty in types {
         match ty {
-            Type::Ident(ident) => {
-                match Atom::from(ident) {
-                    Some(U8) | Some(U16) | Some(U32) | Some(U64) | Some(I8) | Some(I16)
-                    | Some(I32) | Some(I64) => out.include.cstdint = true,
-                    Some(Usize) => out.include.cstddef = true,
-                    Some(CxxString) => out.include.string = true,
-                    Some(Bool) | Some(Isize) | Some(F32) | Some(F64) | Some(RustString) | None => {}
-                };
-                if types.required_trivial_aliases.contains(&ident) {
-                    out.include.type_traits = true;
-                };
-            }
+            Type::Ident(ident) => match Atom::from(ident) {
+                Some(U8) | Some(U16) | Some(U32) | Some(U64) | Some(I8) | Some(I16) | Some(I32)
+                | Some(I64) => out.include.cstdint = true,
+                Some(Usize) => out.include.cstddef = true,
+                Some(CxxString) => out.include.string = true,
+                Some(Bool) | Some(Isize) | Some(F32) | Some(F64) | Some(RustString) => {}
+                None => {
+                    if types.required_trivial_aliases.contains(&ident) {
+                        out.include.type_traits = true;
+                    }
+                }
+            },
             Type::RustBox(_) => out.include.type_traits = true,
             Type::UniquePtr(_) => out.include.memory = true,
             Type::CxxVector(_) => out.include.vector = true,

